var midiOut = 0;
var midiIn = 0;

function FillMidiPortList(list, bMidiIn)
{
  var c, n;
  c = bMidiIn ? Midi.GetMidiInPortCount() : Midi.GetMidiOutPortCount();
  list.length = c+1;
  list.options(0).text = bMidiIn ? "<No Input Port>" : "<No Output Port>";
  for(n = 1; n <= c; n++){
    list.options(n).text = bMidiIn ? Midi.GetMidiInPortName(n) : Midi.GetMidiOutPortName(n);}
  list.selectedIndex = 0;
}


function setInPort(sstr)
{
	if(sstr == "") {
		return;
	}

	var port = Midi.FindMidiInPort(sstr, 0);
	if(!port) {
		alert("Bad InPort: " + sstr);
		return;
	}

  Midi.CloseMidiInPort(midiIn);
  midiIn = port;
  Midi.OpenMidiInPort(midiIn);
  c_MidiInList.selectedIndex = port;
}

function setOutPort(sstr)
{
	if(sstr == "") {
		return;
	}

	var port = Midi.FindMidiOutPort(sstr, 0);
	if(!port) {
		alert("Bad OutPort: " + sstr);
		return;
	}

  Midi.CloseMidiOutPort(midiOut);
  midiOut = port;
  Midi.OpenMidiOutPort(midiOut);
  c_MidiOutList.selectedIndex = port;
}


function PrintLn(s)
{
  c_dbWin.insertAdjacentText("afterBegin", s + "\n");
}

function Print(s)
{
  c_dbWin.insertAdjacentText("afterBegin", s);
}

function Cls()
{
  c_dbWin.value = "";
}

function c_MidiInList_onchange() {
  Midi.CloseMidiInPort(midiIn);
  midiIn = c_MidiInList.selectedIndex;
  Midi.OpenMidiInPort(midiIn);
}

function c_MidiOutList_onchange() {
  Midi.CloseMidiOutPort(midiOut);
  midiOut = c_MidiOutList.selectedIndex;
  Midi.OpenMidiOutPort(midiOut);
}

